# PEAR_PackageFileManager_Fileset

Builds list of files for PEAR_PackageFileManager using a Phing FileSet.

Some code here is taken from PEAR_PackageFileManager_File -- getting results from flat array into the assoc array expected from getFileList().

author | Greg Beaver
author | Hans Lellelid hans@xmpl.org
package | phing.tasks.ext.pearpackage
version | $Id: 9f19dc3037fcefa348ba0bcf071deb9641f76e4d $

### Methods

## Set up the FileSet filelist generator

    __construct( $options)

'project' and 'filesets' are the only options that this class uses.

### Arguments

#### $options

``

## Generate the <filelist></filelist> section of the package file.

    getFileList() : array

This function performs the backend generation of the array containing all files in this package

### Response

`array`

structure of all files to include

## mystrucsort

    mystrucsort( $a,  $b) : integer

### Arguments

#### $a

``

#### $b

``

### Response

`integer`

## Recursively add all the subdirectories of $contents to $dir without erasing anything in $dir

    setDir( $dir,  $contents) : array

### Arguments

#### $dir

``

#### $contents

``

### Response

`array`

processed $dir

## Sorting functions for the file list

    sortfiles( $a,  $b) : integer

### Arguments

#### $a

``

#### $b

``

### Response

`integer`

### Properties

## Curent Phing Project.

    project : \Project

var |

### Type(s)

`\Project`

## FileSets to use.

    filesets : array

var | FileSet[]

### Type(s)

`array`